# Retrieve a single Entry

`GET /lokta-lms/api/v1/journalentries/{journalEntryId}`

Returns one journal entry with its debit and credit lines.

Example Requests:

journalentries/1



journalentries/1?fields=officeName,glAccountId,entryType,amount

journalentries/1?runningBalance=true

journalentries/1?transactionDetails=true

## Parameters
- `journalEntryId` (path, integer, required): journalEntryId
- `runningBalance` (query, boolean): runningBalance
- `transactionDetails` (query, boolean): transactionDetails

## Responses
- `200`: OK

## Response fields
- `amount` (number)
- `comments` (string)
- `createdByUserId` (integer)
- `createdByUserName` (string)
- `createdDate` (string)
- `currency` (CurrencyItem)
- `entityId` (integer)
- `entityType` (EnumOptionType)
- `entryType` (EnumOptionType)
- `externalAssetOwner` (string)
- `glAccountCode` (string)
- `glAccountId` (integer)
- `glAccountName` (string)
- `glAccountType` (EnumOptionType)
- `id` (integer)
- `manualEntry` (boolean)
- `officeId` (integer)
- `officeName` (string)
- `officeRunningBalance` (number)
- `organizationRunningBalance` (number)
- `referenceNumber` (string)
- `reversed` (boolean)
- `runningBalanceComputed` (boolean)
- `submittedOnDate` (string)
- `transactionDate` (string)
- `transactionDetails` (TransactionDetails)
- `transactionId` (string)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/journalentries/{journalEntryId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "amount": 100,
  "comments": "Manual entry",
  "createdByUserId": 1,
  "createdByUserName": "admin"
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveJournalEntryById
